Bug 462977 - [LTC 6.0 FEAT] 201675:Pick up latest version of libica
[LTC 6.0 FEAT] 201675:Pick up latest version of libica
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libica (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Dan Horák
BaseOS QE - Apps
: FutureFeature, OtherQA
: 463219 (view as bug list)
Depends On:
Blocks: 356741 463219 554559
  Show dependency treegraph
 
Reported: 2008-09-19 18:21 EDT by IBM Bug Proxy
Modified: 2010-07-12 08:41 EDT (History)
5 users (show)

See Also:
Fixed In Version: libica-2.0.2-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 08:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-19 18:21:29 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:21 EDT
1. Feature Overview:
Feature Id:	[201675]
a. Name of Feature:	Pick up latest version of libica
b. Feature Description
The libica is an opensource library needed by System z Crypto infrastructure. The latest version is
available here on sourceforge project openCryptoki: 
http://sourceforge.net/project/showfiles.php?group_id=128009

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Installer: Yes
Delivery Mechanism: Direct from community
Category:	Security
Request Type:	Package - Version Update
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	http://sourceforge.net/project/showfiles.php?group_id=128009

3. Business Case
This update to the library is needed in order use the latest HW Crypto Exploitation on System z. 
Without it, the customer won't be able to take advance of the better performance of the HW Crypto.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com
George Wilson, gcwilson@us.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-02 09:21:03 EST
When RHEL 6 takes latest libica version 2.0+  this feature  is fulfilled

take latest from
http://sourceforge.net/project/showfiles.php?group_id=128009
Comment 2 Dan Horák 2009-05-07 02:39:58 EDT
libica is now part of Fedora (it passed the package review process) and version 2.0.1 built for F-11

https://s390.koji.fedoraproject.org/koji/buildinfo?buildID=9598
Comment 3 IBM Bug Proxy 2009-08-12 09:21:24 EDT
------- Comment From mgrf@de.ibm.com 2009-08-12 09:13 EDT-------
Hello Red Hat,

There is a new release of libica on sourceforge.net (http://sourceforge.net/projects/opencryptoki/files/),
which is called libica-2.0.2.

Libica-2.0.2 contains some bug fixes. These are:
- Loop in the asm used in profiling. With a change in gcc this did not compile propperly anymore.
- Use stcke in a 31 bit system instead of stckf. The instruction stckf is not supported in 31 bit systems.
- Some minor fixes in the programming samples to make them easier readable.

The new release can be down loaded directly through:
http://sourceforge.net/projects/opencryptoki/files/libica/libica-2.0.2/libica-2.0.2.tar.gz/download

Please consider this version for integration into RHEL 6 instead of the one in Fedora right now.
Comment 4 Dan Horák 2009-08-17 05:54:34 EDT
Fedora package updated to 2.0.2 and this change will be propagated into RHEL6.
Comment 5 Siddharth Nagar 2009-10-23 09:28:55 EDT
*** Bug 463219 has been marked as a duplicate of this bug. ***
Comment 6 releng-rhel@redhat.com 2009-10-30 18:11:40 EDT
Fixed in 'libica-2.0.2-1.el6', included in compose 'RHEL6.0-20091029.0'.
Moving to ON_QA.
Comment 10 IBM Bug Proxy 2010-06-23 10:21:07 EDT
------- Comment From mgrf@de.ibm.com 2010-06-23 10:17 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx
Comment 11 IBM Bug Proxy 2010-07-02 03:02:32 EDT
------- Comment From mgrf@de.ibm.com 2010-07-02 02:52 EDT-------
Comment 12 Chris Ward 2010-07-12 08:41:30 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. One or more confirmation reports have already been received confirming this. This report is therefore being closed with a resolution of CURRENTRELEASE. You may reopen this bug report if the solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.